Skip to main content
GET
Prepare Staking Transaction

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

amount
number<double>
required

Amount of tokens in ETH to deposit.

Example:

32

amountPerValidator
string

Amount of tokens in Gwei to stake per validator.

Example:

"32000000000"

withdrawalCredentialsType
enum<string>

Withdrawal credentials type.

Available options:
0x01,
0x02
Example:

"0x02"

withdrawalAddress
string
required

Withdrawal address for the validators.

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb"

controllerAddress
string

Controller address for the validators.

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x338EF19fA2eC0fc4d1277B1307a613fA1FBbc0cb"

feeRecipientAddress
string

Fee recipient address.

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0x53da3c92fCCEb0CFE1764f65DDfF1564A2b15585"

Response

OK

Standard API success response envelope wrapping the result payload.

error
object | null
required

Error object. Always null on successful responses.

result
object
required

Response payload containing the requested data.